<?
include_once "../ver_sessao.php";
include_once "../conecta.php";



//-----------------------------------------------
//  
// FUNCAO QUE RECEBE UMA STRING COM IDS, AGRUPADOS POR - E RETORNA UM ARRAY COM OS MESMOS SEM REPETICAO
//
//-----------------------------------------------
function ids_agrupados($ids_agrupados) {
	
	$a = explode("-",$ids_agrupados);
	$a2 = array_unique($a);
	
	sort($a2);
	
	// SE TIVER ELEMENTOS EM BRANCO, REMOVE
	if( $a2[0] == '' ) 
		array_shift($a2);
	
	return $a2;
	
}

function nome_movimento($mov) {

	$a = carregar('entidade',$mov[movi_nb_ref]);
	return $a[1];
	
}

function abre_pagamento() {
	
	//print_r($_POST);
	
	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	//print_r($IDS_MOV);

	if( count($IDS_MOV) == 1 ) {
		
		//echo "<BR>TEM APENAS 1 PARCELA<BR>";
		// SE TIVER SELECIONADO APENAS UMA PARCELA, NAO PRECISA CRIAR NENHUM AGRUPAMENTO
		// PROCURA SE ELA ESTA ASSOCIADA A OUTRA E EXIBE TODO O AGRUPAMENTO
		
		$a = carregar('boleto',$IDS_MOV[0]);
		
		if( $a[bole_nb_agrupado] > 0 ) {
			
			//SE ESSA PARCELA TIVER AGRUPADA COM OUTRAS, BUSCA PARA VER SE JAH FOI PAGO ALGUMA COISA 
			// OU SE ESSE AGRUPAMENTO FOI CRIADO E NUNCA FOI UTILIZADO
			
			//echo "<BR>ELA FOI AGRUPADA<BR>";
			
			//VERIFICA SE FOI GERADA AUTOMATICAMENTO DA REQUISICAO VARIOS BOLETOS DA MESMA NF
			//ENTAO ELE SERA EXIBIDO AGRUPADO MESMO SEM TER FEITO O PAGAMENTO ANTERIORMENTE
			
			$a_agr=carregar('boleto',$a[bole_nb_agrupado]);
			$sql = selecionar('fobo','fobo_tx_status,fobo_nb_boleto',"ativo,$a[bole_nb_agrupado]");
			if( num_linhas($sql) > 0 || $a_agr[bole_tx_obs]=="Varias NFs para o mesmo boleto") {
				
				// SE JAH FOI PAGO ALGUMA COISA, MAS O PAGAMENTO FOI INTERROMPIDO, RETORNA TODO O AGRUPAMENTO PARA FINALIZAR
				//echo "<BR>ENTROU 1, JAH FOI PAGO, DEVERIA CARREGAR TODOS OS AGRUPAMENTOS<BR>";
				
				$sql = selecionar('bole_nb_id|boleto','bole_tx_status,bole_nb_agrupado',"!inativo,$a[bole_nb_agrupado]",'');
				while( $a2 = carrega_array($sql) )
					$ids_agrupados .= "-".$a2[bole_nb_id];
				
				$_POST[ids_agrupados] = $ids_agrupados;
				$_POST[parcela_atual] = $a[bole_nb_agrupado];
				
			} else {
				
				//echo "<BR>ENTROU 2, NAO TINHA NENHUMA PARCELA PAGA<BR>";
				// SE ESTAVA AGRUPADO MAS NADA TINHA SIDO PAGO, ENTAO CARREGA APENAS A PARCELA QUE FOI SELECIONADA
				$_POST[parcela_atual] = $IDS_MOV[0];
				
			}
			
			
		}else{
			
			$_POST[parcela_atual] = $IDS_MOV[0];
			
		}
		
	} else {
		
		$string_ids = implode(",",$IDS_MOV);
		
		// FAZ O SOMATORIO DO VALOR TOTAL E CRIA UM ARRAY COM OS POSSIVEIS VALORES AGRUPADOS PARA TESTAR SE JAH EXISTE 
		// E/OU SE EXISTE APENAS 1 AGRUPAMENTO
		$sql = selecionar('boleto','bole_tx_status','!inativo'," AND bole_nb_id IN($string_ids)");
		while( $a = carrega_array($sql) ) {
			
			$total += $a[bole_tx_valordoc];
			
			$id_jah_agrupado[] = $a[bole_nb_agrupado];
			$status_jah_agrupado[] = $a[bole_tx_status];
			
		} 
		
		$total_ids_agrupados = count(array_unique($id_jah_agrupado));
		//print_r(array_unique($id_jah_agrupado)); echo "<BR>TOTAL DE IDS AGRUPADOS: $total_ids_agrupados<BR>";
		
		$total_status_agrupados = count(array_unique($status_jah_agrupado));
		//print_r(array_unique($status_jah_agrupado)); echo "<BR>TOTAL DE STATUS AGRUPADOS: $total_status_agrupados<BR>";
		
		// EVITA QUE SE SELECIONE PARCELAS ABERTAS E FECHADAS NO MESMO AGRUPAMENTO
		if( $total_status_agrupados > 1 ){
			
			set_status('ERRO: Selecione apenas parcelas em aberto!');
			volta_pagamento();
			exit;
			
		} 
		
		if( ($total_ids_agrupados > 1) || ($total_ids_agrupados == 1 && $id_jah_agrupado[0] == '0') ) {
			
			$campos = array(bole_tx_status,bole_tx_valordoc,bole_tx_vencimento);
			$valores = array(agrupando,$total,gera_data('hoje',1));
			inserir('boleto',$campos,$valores,1);
			
			$_POST[parcela_atual] = ultimo_reg('boleto');
			
			// ESSA CONSULTA FEIA ATUALIZA O ID DO AGRUPAMENTO DE TODAS AS PARCELAS DE $STRINGS_IDS
			atualizar('boleto','bole_nb_agrupado',"$_POST[parcela_atual]",'','0','1'," OR bole_nb_id IN($string_ids)");	
			
			//echo "ENTROU 1, NAO EXISTIA OU EXISTIAM MAIS DE UM, PRECISA CRIAR UM NOVO: $_POST[parcela_atual]<BR>";
			
		}else{
			
			$_POST[parcela_atual] = $id_jah_agrupado[0];
			//echo "ENTROU 2, JAH EXISTIA UM AGRUPAMENTO MAS ERA APENAS 1, APROVEITA A PARCELA AGRUPADA: $_POST[parcela_atual]<BR>";
			
		}
		
	}
	
	layout_pagamento();
	
	exit;
	
}

function volta_pagamento() {

	// print_r($_POST); exit;

	if( $_POST[busca_volta_pagina] == 'venda' ) {

			// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
			echo "<body>";
			cactux::acao_botao('form_volta','volta_pagamento','boleto,msg_status,'.grid::campos_busca(),$_POST[busca_volta_boleto].",".$_POST[msg_status].",".grid::valores_busca(),'../venda/venda.php');
			echo "<script>	window.document.onload=window.document.forms[0].submit();</script>";
			
			exit;
	
	} 
	
		
	if( $_POST[volta_pagina] == '' ) {
		$_POST[volta_pagina]='contas_pagar.php';
	} // trata alguma caso omisso

	

	if( $_POST[volta_pagina] == 'pedido_servico.php' ) {

		// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
		echo "<body>";

		if( $_POST[botao_voltar] == 'botao_voltar' )
			cactux::acao_botao('form_volta','layout_fechamento','ordem,msg_status,'.grid::campos_busca(),"$_POST[ordem],".$_POST[msg_status].",".grid::valores_busca(),'../pedido_servico.php');
		else
			cactux::acao_botao('form_volta','volta_encerramento_pago','ordem,msg_status,'.grid::campos_busca(),"$_POST[ordem],".$_POST[msg_status].",".grid::valores_busca(),'../pedido_servico.php');

		echo "<script>	window.document.onload=window.document.forms[0].submit();</script>";
		
		exit;
	}

	if( $_POST[volta_pagina] == 'pedido_balcao_finaliza' ) {

		// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
		echo "<body>";

		if( $_POST[botao_voltar] == 'botao_voltar' )
			cactux::acao_botao('form_volta','layout_fechamento','ordem,msg_status,'.grid::campos_busca(),"$_POST[ordem],".$_POST[msg_status].",".grid::valores_busca(),'../pedido_balcao.php');
		else
			cactux::acao_botao('form_volta','volta_encerramento_pago','ordem,msg_status,'.grid::campos_busca(),"$_POST[ordem],".$_POST[msg_status].",".grid::valores_busca(),'../pedido_balcao.php');

		echo "<script>	window.document.onload=window.document.forms[0].submit();</script>";
		
		exit;
	}

	if( $_POST[volta_pagina] == 'pedido_finaliza' ) {

		// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
		echo "<body>";

		if( $_POST[botao_voltar] == 'botao_voltar' )
			cactux::acao_botao('form_volta','layout_fechamento','ordem,msg_status,'.grid::campos_busca(),"$_POST[ordem],".$_POST[msg_status].",".grid::valores_busca(),'../pedido.php');
		else
			cactux::acao_botao('form_volta','volta_encerramento_pago','ordem,msg_status,'.grid::campos_busca(),"$_POST[ordem],".$_POST[msg_status].",".grid::valores_busca(),'../pedido.php');

		echo "<script>	window.document.onload=window.document.forms[0].submit();</script>";
		
		exit;
	}
		
	// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
	echo "<body>";
	cactux::acao_botao('form_volta','index','msg_status,'.grid::campos_busca(),$_POST[msg_status].",".grid::valores_busca(),$_POST[volta_pagina]);
	echo "<script>	window.document.onload=window.document.forms[0].submit();</script>";
	
	exit;

}

function testa_encerramento() {
	
	
	$sql = selecionar('fobo_tx_valor|fobo','fobo_nb_boleto,fobo_tx_status',"$_POST[parcela_atual],ativo");
	while( $a = carrega_array($sql) ) {
		
		$a_valor_pago[] = mostra_valor($a[fobo_tx_valor]);
		$total_atual += $a[fobo_tx_valor];
		
	} 
	
//	echo "TOTAL ATUAL: $total_atual<BR>";
	
	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	$t_ids_mov = count($IDS_MOV);
	$string_ids = implode(",",$IDS_MOV);
	
	$sql = selecionar('boleto','bole_tx_status','!inativo'," AND bole_nb_id IN($string_ids)");
	while( $a = carrega_array($sql) ) {

		$a_valor[] = mostra_valor($a[bole_tx_valordoc]);
		$total_parcelas += $a[bole_tx_valordoc];
	}

//	echo "TOTAL PARCELAS: $total_parcelas<BR>";
	
	
//	echo "<BR><BR>A_VALOR=";
//	print_r($a_valor);

//echo $t_ids_mov."<BR><BR>";	
//echo $total_atual." == ".$total_parcelas."<BR>";	
//echo mostra_valor($total_atual)." == ".mostra_valor($total_parcelas)."<BR>";

// echo "|$total_atual| == |$total_parcelas|";exit;


	
	$_POST[id] = $IDS_MOV;	
	$_POST[valor] = $a_valor;
	
	encerra_pagamento();

	
	/*
	if( $total_atual == $total_parcelas ) {
	
		$_POST[id] = $IDS_MOV;
		
		if( $total_atual == $total_parcelas )
			$_POST[valor] = $a_valor;
		else
			$_POST[valor] = $a_valor_pago;
		// SE EXISTIR APENAS 1 PARCELA MAS O VALOR FOR DIFERENTE, USA O VALOR PAGO E NAO O CADASTRADO
			
			
		
//		echo "ENTROU, NOVO ARRAY=";
//		print_r($_POST);
		
		encerra_pagamento();
		
	} else {
		set_status('Por favor, confirme o valor dos boletos!');

		layout_encerramento();
	}
	*/


	exit;
}





function encerra_pagamento() {

	$a_atual = $_POST[parcela_atual];
	
	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	$t_agrupados = count($IDS_MOV);

	$sql = selecionar('sum(fobo_tx_valor) as valor|fobo','fobo_nb_boleto,fobo_tx_status',"$_POST[parcela_atual],ativo");
	$a = carrega_array($sql);
	$total_atual = $a[valor];

	$sql = selecionar('fobo_tx_data|fobo','fobo_nb_boleto,fobo_tx_status',"$_POST[parcela_atual],ativo"," ORDER BY fobo_tx_data DESC LIMIT 1");
	$a = carrega_array($sql);
	$data_baixa = $a[fobo_tx_data];

	$hoje = gera_data('hoje',1);
	
	$id = $_POST[id];
	$valor = $_POST[valor];
	
	$t = count($id);
	
//	echo "<BR><BR>ID=";
//	print_r($id);
//	echo "<BR><BR>VALOR=";
//	print_r($valor);

	
	for($i=0; $i!=$t; $i++) {
		$valor_total += valor($valor[$i]);
	} // SOMA O VALOR ENTRADO
	
//	echo $t_agrupados."<BR><BR>";
//	echo $valor_total." == ".$total_atual."<BR>";
//	echo mostra_valor($valor_total)." == ".mostra_valor($total_atual)."<BR>";
	
	if( mostra_valor($valor_total) != mostra_valor($total_atual) && $t_agrupados > 1 ) {
	
		set_status('ERRO: Valor diferente do total final');
		layout_encerramento();
		exit;
		
	} // TESTA SE OS VALROES ESTAO DIFERENTES
	
//	echo "ATUALIZANDO PARCELAS:<BR>";
	for($i=0; $i!=$t; $i++) {

		$a_bole = carregar('bole_tx_nossoNumero|boleto',$id[$i]);
		if($a_bole[bole_tx_nossoNumero]!=''){
			atualizar("boleto",'bole_tx_pedidoBaixa',date("Y-m-d"),$id[$i]);
		}
	
		$campos  = array(bole_tx_status,bole_tx_data,bole_tx_valor);
		$valores = array(encerrado,$data_baixa,valor($valor[$i]));

		if ( $t_agrupados==1 ) {
			if ( $valor_total>$total_atual ) {
				array_push($campos, bole_tx_desconto);
				array_push($valores, $valor_total-$total_atual);

			} elseif ( $valor_total<$total_atual ) {
				array_push($campos, bole_tx_acrescimo);
				array_push($valores, $total_atual-$valor_total);
			}
		}

//		print_r($valores);
//		echo "<BR>";
		atualizar("boleto",$campos,$valores,$id[$i]);	
	}


	if( $t_agrupados > 1 ) {
	
		$antigo = carregar('boleto',$IDS_MOV[0]);
		// CARREGA UMA PARCELA AGRUPADA PARA PEGAR O ID DO MOVIMENTO ORIGINAL
		
		$campos=array(bole_tx_status,bole_tx_data,bole_tx_valor,bole_nb_movimento);
		$valores=array(agrupado,$data_baixa,$valor_total,$antigo[bole_nb_movimento]);
		atualizar('boleto',$campos,$valores,$_POST[parcela_atual]);
		// SE FOI PRECISO USAR UMA PARCELA PARA AGRUPAR, MUDA O STATUS DELA DE AGRUPANDO PARA AGRUPADO
		
		$sql = selecionar('boleto','bole_tx_status,bole_nb_agrupado',"ativo,$_POST[parcela_atual]");
		if( num_linhas($sql) > 0 ) {
		
			atualizar('boleto','bole_nb_agrupado','0','','bole_tx_status,bole_nb_agrupado',"ativo,$_POST[parcela_atual]");
			
		} // SE TIVER MAIS ALGUMA PARCELA COM O ID DO AGRUPAMENTO MAS QUE NAO FOI FINALIZADA, SETA O VALOR PARA 0
		// NO CASO DE TER FEITO UM AGRUPAMENTO COM 3, DEPOIS SOH COM 2 E FINALIZADO, O TERCEIRO NAO PODE TER O AGRUPAMENTO FECHADO
		
	} // SE TIVER MAIS DE UMA PARCELA 


	if( $a_atual[bole_nb_agrupado] != '0' ) {
		atualizar('boleto','bole_nb_agrupado','0',$_POST[parcela_atual]);
	} // SE TIVER APENAS 1 PARCELA, E ELA TIVER ALGUM VESTIGIO NO CAMPO bole_NB_AGRUPADO, ATUALIZA PARA 0 PARA INDICAR QUE ELA NAO FOI AGRUPADA
	

	


/*	
	echo "<BR><BR>----<BR><BR>";
	// PROCURA SE NAO EXISTE AGRUPAMENTOS NAO MAIS USADOS, PARA EXCLUIR
	$sql = selecionar('parcela','bole_tx_status','agrupando');
	while( $a = carrega_array($sql) ) {

		$sql2 = selecionar('parcela','bole_tx_status,bole_nb_agrupado',"ativo,$a[0]");
				echo "<BR>$a[0] = ".num_linhas($sql2);
		if( num_linhas($sql2) <= 1 ) {
			remover('parcela',$a[0]);
			atualizar('parcela','bole_nb_agrupado','0','','bole_nb_agrupado',"$a[0]");
			echo "- REMOVIDO!";
		} // VERIFICA SE O AGRUPAMENTO EXISTE APENAS EM 1 OU NENHUMA PARCELA

	} // LISTA OS AGRUPAMENTOS QUE AINDA NAO FORAM FINALIZADOS
*/	
	
//exit;
	set_status('Pagamento Efetuado com Sucesso!');
	volta_pagamento();
	
	exit;
}




function exclui_pagamento() {

	$a = carregar('fobo,forma',$_POST[id]);
	$forma = strtoupper(substr($a[form_tx_nome],0,6));//PEGA AS PRIMEIRAS 6 LETRAS
	

	remover("fobo");
	
	$campos=array(bole_tx_status,bole_tx_data);
	$valores=array('ativo','');
	
	atualizar('boleto',$campos,$valores,$a[fobo_nb_boleto]);
	
	// SE FOR CHEQUE
	if( $forma == 'CHEQUE' ) {
		// atualizar('cheque','cheq_tx_status','inativo','','cheq_nb_cliente',$a[fobo_nb_boleto]);

		$sql_chfo = selecionar('chfo','chfo_tx_status,chfo_nb_fobo',"!inativo,$a[fobo_nb_id]");
		while ( $a_chfo = carrega_array($sql_chfo) ) {
			remover('chfo',$a_chfo[chfo_nb_id]);
			remover('cheque',$a_chfo[chfo_nb_cheque]);
		}

		// SE FOR CHEQUE, REMOVE O CHEQUE CADASTRADO TAMBEM
	}
	
//	reabre_pagamento();
	layout_pagamento();
	exit;
	
}
/*
function reabre_pagamento(){
	
	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	$t_ids_mov = count($IDS_MOV);

	for($i=0; $i!=$t_ids_mov; $i++) {
			
			$sql_pago = selecionar("fobo,parcela,forma","fobo_tx_status,bole_nb_id","!inativo,$IDS_MOV[$i]");	
			
			if( num_linhas($sql_pago) == 0 ) {
					
					$campos = array(bole_tx_status,bole_tx_valor,bole_tx_data);
					$valores = array('ativo','','');
					atualizar('parcela',$campos,$valore,$IDS_MOV[$i]);
					
			}
			
	}
	
	
}
*/
function testa_forma(){
	


	//VERIFICA SE FORMA DE PAGAMENTO SELECIONADA É CHEQUE
	$a_forma = carregar('forma',$_POST[forma]);
	$forma = strtoupper(substr($a_forma[form_tx_nome],0,6));//PEGA AS PRIMEIRAS 6 LETRAS
	
	// SE FOR CHEQUE
	if( $forma == 'TRANSF' ){
		
		layout_transferencia();
		exit;
	
	}
	
	
	if( $forma == 'CHEQUE' ) {
		
		set_status('Favor Cadastrar o Cheque');
		layout_cheque();
		exit;
		
	}else{
		
		cadastra_pagamento();
		
	}
	
}


function cadastra_cheque(){

	if( !$_POST[banco] || !$_POST[agencia] || !$_POST[numero] || !$_POST[conta] || !$_POST[valor] || !$_POST[data]
	|| !$_POST[titular] || !$_POST[cpf] ) {
		set_status('ERRO: Preencha todos os campos!');
		layout_cheque();
		exit;
	}

	$id = $_POST[parcela_atual];
	// O CAMPO CHEQ_NB_CLIENTE VAI RECEBER O ID DA PARCELA USADA
	
	$campos = array(cheq_nb_banco,cheq_tx_agencia,cheq_tx_numero,cheq_tx_conta,cheq_tx_valor,cheq_tx_data,cheq_nb_cliente,
	cheq_tx_titular,cheq_tx_cpf,cheq_nb_configuraboleto,cheq_tx_status);
	
	$valores = array($_POST[banco],$_POST[agencia],$_POST[numero],$_POST[conta],valor($_POST[valor]),gera_data($_POST[data],1),$id,
	$_POST[titular],$_POST[cpf],$_POST[contabancaria],'ativo');
	
	inserir('cheque',$campos,$valores,1);
	
	if( !bd_erro() ) {
		$_POST[cheque] = ultimo_reg('cheque');
		
		cadastra_pagamento();
	} else {
		index();
	}
	
		exit;
	
	
}




function cadastra_pagamento() {
	
	$_POST[valor] = valor($_POST[valor]);	
	

	$a_forma = carregar('forma',$_POST[forma]);
	$forma = strtoupper(substr($a_forma[form_tx_nome],0,6));//PEGA AS PRIMEIRAS 6 LETRAS


	$campos=array(fobo_nb_boleto,fobo_nb_forma,fobo_tx_valor,fobo_tx_data,fobo_tx_status);
	$valores=array($_POST[parcela_atual],$_POST[forma],$_POST[valor],gera_data($_POST[data],1),'ativo');


	if ( $_POST[forma]==1 || substr($a_forma[form_tx_sefaz],0,2)=='01' ) {
		//	SE FOR UM PAGAMENTO EM DINHEIRO, REALIZA A BAIXA DO MESMO
		array_push($campos, fobo_tx_valorBaixa,fobo_tx_dataBaixa,fobo_nb_userBaixa);
		array_push($valores, $_POST[valor],date('Y-m-d'),$_SESSION[user_nb_id]);
	}


	$msg = inserir("fobo",$campos,$valores,1);
	$_POST[fobo] = ultimo_reg('fobo');
	
	
	// SE FOR CHEQUE
	if( $forma == 'CHEQUE' ) {
		
		if( !bd_erro() ) {
			
			
			$campos=array(chfo_nb_cheque,chfo_nb_fobo,chfo_tx_status);
			$valores=array($_POST[cheque],$_POST[fobo],'ativo');
			inserir('chfo',$campos,$valores,1);
			
		}
		
	}
	
	if( $forma == 'TRANSF' ) {
		
		if( !bd_erro() ) {
			
			
			$campos=array(tran_nb_fobo,tran_tx_agencia,tran_tx_conta,tran_nb_banco,tran_tx_status);
			$valores=array($_POST[fobo],$_POST[agencia],$_POST[conta],$_POST[banco],'ativo');
			inserir('transferencia',$campos,$valores,1);
			
		}
		
	}
	
	
	
	//ATUALIZA A TABELA PARCELA COM O HISTORICO SELECIONADO
//	atualizar('parcela',bole_nb_historico,$_POST[hist],$_POST[parcela_atual]);

	
	
	
	layout_pagamento();
	exit;
}






function layout_reabertura() {
	
	cabecalho("Pagamento/Recebimento",2);
	// print_r($_POST);
	
	// ------------------------------------------------------
	// EXIBE TODOS OS PAGAMENTOS SELECIONADOS
	// ------------------------------------------------------

	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	$t_ids_mov = count($IDS_MOV);

	
	cactux::abre_fieldset('INFORMAÇÕES DO PAGAMENTO/RECEBIMENTO');

	for($i=0; $i!=$t_ids_mov; $i++) {
		
		$a_mov = carregar("boleto,movimento",$IDS_MOV[$i]);
		
		$t1 = cactux::texto('Código:',$a_mov[bole_nb_id],1);
		$t2 = cactux::texto('Nome:',nome_movimento($a_mov),5);
		$t3 = cactux::texto('Vencimento:',data($a_mov[bole_tx_vencimento],1),2);
		$t4 = cactux::texto('Valor:','R$ '.mostra_valor($a_mov[bole_tx_valordoc]),2);
		
		cactux::linha_fieldset($t1,$t2,$t3,$t4);
		
		$total_mov += $a_mov[bole_tx_valordoc];
		
	}
	
	// SE TIVER MAIS DE UM BOLETO, EXIBE UMA LINHA COM O SOMATORIO TOTAL
	if( $t_ids_mov > 1 ) {
		
		$t1 = cactux::texto('','',1);
		$t2 = cactux::texto('','',5);
		$t3 = cactux::texto('','',2);
		$t4 = cactux::texto('Valor Total:','R$ '.mostra_valor($total_mov,1),2);
		
		cactux::linha_fieldset($t1,$t2,$t3,$t4);
		
	} 
	
	cactux::fecha_fieldset();
	
	cactux::abre_form();


	//CAMPOS
	$c[] = cactux::campo('* Usuário:','usuario','',2);
	$c[] = cactux::campo_senha('* Senha:','senha',2);
	
	//BOTOES
	$b[] = cactux::botao("Voltar",2,'voltar');
	$b[] = cactux::botao_submit("Gravar",2,'reabertura_financeiro',"ids_agrupados,parcela_atual,volta_pagina,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina],$_POST[ordem]");
	$status = cactux::msg_status();


	if($_POST[volta_arquivo]!='')
		$_POST[volta_pagina]=$_POST[volta_arquivo]; 

	cactux::abre_fieldset('Informações do Financeiro');
	cactux::linha_fieldset($c[0],$c[1]);
	cactux::linha_fieldset($b[0],$b[1],$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	cactux::acao_botao("encerrar",'testa_encerramento',"ids_agrupados,parcela_atual,volta_pagina,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina],$_POST[ordem]");
	cactux::acao_botao("voltar",'layout_pagamento',"ids_agrupados,parcela_atual,volta_pagina,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina],$_POST[ordem]");
	
	rodape();
}





function reabertura_financeiro() {

	// print_r($_POST);exit;

	if ( intval($_POST[parcela_atual])==0 ) {
		set_status('ERRO: Código do financeiro não localizado!');
		layout_pagamento();
		exit;
	}


	$senha = md5($_POST[senha]);

	$sql_user = selecionar('user','user_tx_status',"!inativo"," AND user_tx_login='$_POST[usuario]' AND user_tx_senha='$senha' AND (user_tx_nivel='Administrador' OR user_tx_nivel='Gerente') LIMIT 1 ");
	if ( num_linhas($sql_user)==0 ) {
		set_status('ATENÇÃO: Usuário ou senha inválida!');
		layout_reabertura();
		exit;
	}



	$a_atual = carregar('boleto',$_POST[parcela_atual]);

	$campos = array(bole_tx_status,bole_tx_desconto,bole_tx_acrescimo);
	$valores= array('ativo',0,0);
	atualizar('boleto',$campos,$valores,$a_atual[bole_nb_id]);

	set_status('Financeiro reaberto com sucesso!');
	layout_pagamento();
	exit;
}





function layout_encerramento() {

	cabecalho("Pagamento/Recebimento",3);


	// ------------------------------------------------------
	// EXIBE TODOS OS PAGAMENTOS SELECIONADOS
	// ------------------------------------------------------

	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	$t_ids_mov = count($IDS_MOV);

	// $sql_pago = selecionar("fobo,boleto,forma","fobo_tx_status,bole_nb_id","!inativo,$_POST[parcela_atual]");	


	$sql = selecionar('sum(fobo_tx_valor) as valor|fobo','fobo_nb_boleto,fobo_tx_status',"$_POST[parcela_atual],ativo");
	$a = carrega_array($sql);
	$total_atual = $a[valor];
	// CARREGA O VALOR TOTAL QUE FOI DADO ENTRADA


	cactux::abre_form();	
	
	cactux::abre_fieldset('INFORMAÇÕES DO PAGAMENTO/RECEBIMENTO');

	for($i=0; $i!=$t_ids_mov; $i++) {

		$a_mov = carregar("boleto,movimento",$IDS_MOV[$i]);
		if($a_mov[bole_nb_historico]!='')
			$a_hist = carregar('historico',$a_mov[bole_nb_historico]);

		if ( $t_ids_mov==1 ) {// SE ESTIVER SELECIONADO APENAS UM BOLETO
			if ( $a_mov[bole_tx_valordoc]>$total_atual )
				$a_mov[bole_tx_desconto] = $a_mov[bole_tx_valordoc]-$total_atual;
			elseif ( $a_mov[bole_tx_valordoc]<$total_atual )
				$a_mov[bole_tx_acrescimo] = $total_atual-$a_mov[bole_tx_valordoc];
		}
	
		$t1 = cactux::texto('Código:',$a_mov[bole_nb_id],1);
		$t2 = cactux::texto('Nome:',nome_movimento($a_mov),4);
		$t3 = cactux::texto('Vencimento:',data($a_mov[bole_tx_vencimento],1),2);
		$t4 = cactux::texto('Valor:','R$ '.mostra_valor($a_mov[bole_tx_valordoc]),1);
		
		$c5 = cactux::campo('*&nbsp;Desconto&nbsp;(R$):','valor_desconto[]',mostra_valor($a_mov[bole_tx_desconto]),1,MASCARA_VALOR);
		$c6 = cactux::campo('*&nbsp;Acrescimo&nbsp;(R$):','valor_acrescimo[]',mostra_valor($a_mov[bole_tx_acrescimo]),1,MASCARA_VALOR);
		
		campo_hidden('id[]',$a_mov[bole_nb_id]);
	
		cactux::linha_fieldset($t1,$t2,$t3,$t4,$c5,$c6);
		
		$total_mov += $a_mov[bole_tx_valordoc];
	}


	if( $t_ids_mov > 1 ) {
		$t1 = cactux::texto('','',1);
		$t2 = cactux::texto('','',4);
		$t3 = cactux::texto('','',2);
		$t4 = cactux::texto('Valor Total:','R$ '.mostra_valor($total_mov,1),1);
		// $t5 = cactux::texto('Valor Total:','<font color=red><B>R$ '.mostra_valor($total_atual,1),1);
		$t5 = cactux::texto('','',1);
		$t6 = cactux::texto('','',1);
		
		cactux::linha_fieldset($t1,$t2,$t3,$t4,$t5,$t6);
	} // SE TIVER MAIS DE UM BOLETO, EXIBE UMA LINHA COM O SOMATORIO TOTAL
	


	//BOTOES
	$c7 = cactux::botao_submit("Finalizar",2,'encerra_pagamento',"ids_agrupados,parcela_atual,volta_pagina,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina],$_POST[ordem]");
	$c9 = cactux::botao("Voltar",2,'voltar');
	$status = cactux::msg_status();
	// EVITA QUE SE ENCERRE UM PAGAMENTO SEM TER EFETUADO NENHUM CDASTRO
	

	cactux::fecha_fieldset();
	cactux::linha_fieldset($c9,$c7,$status);
	
	cactux::fecha_form();
	
	cactux::acao_botao("voltar",'layout_pagamento',"ids_agrupados,parcela_atual,volta_pagina,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina],$_POST[ordem]");
}





function layout_transferencia(){
	global $CONFIGURA;


	
	cabecalho("Pagamento/Recebimento",3);



	// ------------------------------------------------------
	// EXIBE TODOS OS PAGAMENTOS SELECIONADOS
	// ------------------------------------------------------
	
	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	$t_ids_mov = count($IDS_MOV);
	
	$a_forma = carregar('forma',$_POST[forma]);
	if( $a_forma[form_nb_banco] > 0 )
		$a_banco = carregar('banco',$a_forma[form_nb_banco]);

	$sql_pago = selecionar("fobo,boleto,forma","fobo_tx_status,bole_nb_id","!inativo,$_POST[parcela_atual]");	
	
	


	cactux::abre_fieldset('INFORMAÇÕES DO PAGAMENTO/RECEBIMENTO');

	for($i=0; $i!=$t_ids_mov; $i++) {

		$a_mov = carregar("boleto,movimento",$IDS_MOV[$i]);
	
	
		$t1 = cactux::texto('Código:',$a_mov[bole_nb_id],1);
		$t2 = cactux::texto('Nome:',nome_movimento($a_mov),5);
		$t3 = cactux::texto('Vencimento:',data($a_mov[bole_tx_vencimento],1),2);
		$t4 = cactux::texto('Valor:','R$ '.mostra_valor($a_mov[bole_tx_valordoc]),2);
		
	
		cactux::linha_fieldset($t1,$t2,$t3,$t4);
		
		$total_mov += $a_mov[bole_tx_valordoc];
	}

	if( $t_ids_mov > 1 ) {
		$t1 = cactux::texto('','',1);
		$t2 = cactux::texto('','',5);
		$t3 = cactux::texto('','',2);
		$t4 = cactux::texto('Valor Total:','R$ '.mostra_valor($total_mov,1),2);
		
	
		cactux::linha_fieldset($t1,$t2,$t3,$t4);
	} // SE TIVER MAIS DE UM BOLETO, EXIBE UMA LINHA COM O SOMATORIO TOTAL
	
	cactux::fecha_fieldset();


	
	$c4 = cactux::texto('Forma:',$a_forma[form_tx_nome],2);
	$c5 = cactux::texto('* Valor:',$_POST[valor]);
	$c6 = cactux::texto('* Data:',$_POST[data],2);
	
	//CADASTRO DE CHEQUE

	$agencia = cactux::campo('Agência:','agencia',$a_forma[form_tx_agencia],2);
	$conta = cactux::campo('Conta:','conta',$a_forma[form_tx_conta],2);
	$banco = cactux::combo_net('Banco:','banco',$a_forma[form_nb_banco],$a_banco[banc_tx_nome],2,array('../'.$CONFIGURA[MODULO].'combonet/busca_div.php?c=banco','../'.$CONFIGURA[MODULO].'combonet/busca_net.php?c=banco'));
	$valor = cactux::campo('Valor:','valor',$_POST[valor],2,MASCARA_VALOR);
	
	$data = cactux::campo('Data:','data',$_POST[data],2,MASCARA_DATA);
	
	
	
	$status = cactux::msg_status();
	
	//VOLTAR
	$grava = cactux::botao_submit("Gravar",2,'cadastra_pagamento',"ids_agrupados,parcela_atual,forma,volta_pagina,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[forma],$_POST[volta_pagina],$_POST[ordem]");
	$volta = cactux::botao("Voltar",2,'voltar');
	
	
	cactux::abre_form();
	
	cactux::abre_fieldset('FORMAS DE PAGAMENTO');
	cactux::linha_fieldset($c4,$c5,$c6);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('CADASTRO DE TRANSFERÊNCIA');
	cactux::linha_fieldset($agencia,$conta,$banco,$valor,$data);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($volta,$grava,$status);
	
	cactux::fecha_form();
	
	cactux::acao_botao("voltar",'layout_pagamento',"ids_agrupados,parcela_atual,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[ordem]");
	
	rodape();
	
}



function layout_cheque(){
	global $CONFIGURA;

	cabecalho("Pagamento/Recebimento",3);



	// ------------------------------------------------------
	// EXIBE TODOS OS PAGAMENTOS SELECIONADOS
	// ------------------------------------------------------
	
	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	$t_ids_mov = count($IDS_MOV);
	
	if( $_POST[forma] )
		$a_forma = carregar('forma',$_POST[forma]);
	// if( $a_forma[form_nb_banco] > 0 )
	// 	$a_banco = carregar('banco',$a_forma[form_nb_banco]);

	if ( $_POST[contabancaria]>0 ) {
		$a_conta = carregar('configuraboleto',$_POST[contabancaria]);
		if ( $a_conta[conf_nb_banco]>0 ) {
			$a_banco = carregar('banco',$a_conta[conf_nb_banco]);
		}
	}

	$sql_pago = selecionar("fobo,boleto,forma","fobo_tx_status,bole_nb_id","!inativo,$_POST[parcela_atual]");	
	
	


	cactux::abre_fieldset('INFORMAÇÕES DO PAGAMENTO/RECEBIMENTO');

	for($i=0; $i!=$t_ids_mov; $i++) {

		$a_mov = carregar("boleto,movimento",$IDS_MOV[$i]);
	
	
		$t1 = cactux::texto('Código:',$a_mov[bole_nb_id],1);
		$t2 = cactux::texto('Nome:',nome_movimento($a_mov),5);
		$t3 = cactux::texto('Vencimento:',data($a_mov[bole_tx_vencimento],1),2);
		$t4 = cactux::texto('Valor:','R$ '.mostra_valor($a_mov[bole_tx_valordoc]),2);
		
	
		cactux::linha_fieldset($t1,$t2,$t3,$t4);
		
		$total_mov += $a_mov[bole_tx_valordoc];
	}

	if( $t_ids_mov > 1 ) {
		$t1 = cactux::texto('','',1);
		$t2 = cactux::texto('','',5);
		$t3 = cactux::texto('','',2);
		$t4 = cactux::texto('Valor Total:','R$ '.mostra_valor($total_mov,1),2);
		
	
		cactux::linha_fieldset($t1,$t2,$t3,$t4);
	} // SE TIVER MAIS DE UM BOLETO, EXIBE UMA LINHA COM O SOMATORIO TOTAL
	
	cactux::fecha_fieldset();


	
	$c4 = cactux::texto('Forma:',$a_forma[form_tx_nome],2);
	$c5 = cactux::texto('* Valor:',$_POST[valor]);
	$c6 = cactux::texto('* Data:',$_POST[data],2);
	
	//CADASTRO DE CHEQUE
	$numero = cactux::campo('Número:','numero','',2);
	$agencia= cactux::campo('Agência:','agencia',$a_conta[conf_tx_agencia],2);
	$conta  = cactux::campo('Conta:','conta',$a_conta[conf_tx_conta],2);
	$banco  = cactux::combo_net('Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],2,array('../'.$CONFIGURA[MODULO].'combonet/busca_div.php?c=banco','../'.$CONFIGURA[MODULO].'combonet/busca_net.php?c=banco'));
	$valor  = cactux::campo('Valor:','valor',$_POST[valor],2,MASCARA_VALOR);
	
	$data   = cactux::campo('Data:','data',$_POST[data],2,MASCARA_DATA);
	$titular= cactux::campo('Titular','titular',$a_conta[conf_tx_identificacao],4);
	$cpf    = cactux::campo('CPF/CNPJ','cpf',$a_conta[conf_tx_cnpj],2,MASCARA_CNPJ);
	
	$status = cactux::msg_status();
	
	//VOLTAR

	$grava = cactux::botao_submit("Gravar",2,'cadastra_cheque',"ids_agrupados,parcela_atual,forma,volta_pagina,ordem,volta_arquivo,contabancaria","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[forma],$_POST[volta_pagina],$_POST[ordem],$_POST[volta_arquivo],$_POST[contabancaria]");
	$volta = cactux::botao("Voltar",2,'voltar');
	
	
	cactux::abre_form();
	
	cactux::abre_fieldset('FORMAS DE PAGAMENTO');
	cactux::linha_fieldset($c4,$c5,$c6);
	cactux::fecha_fieldset();
	
	cactux::abre_fieldset('CADASTRO DE CHEQUE');
	cactux::linha_fieldset($numero,$agencia,$conta,$banco,$valor);
	cactux::linha_fieldset($data,$titular,$cpf);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($volta,$grava,$status);
	
	cactux::fecha_form();
	
	cactux::acao_botao("voltar",'layout_pagamento',"ids_agrupados,parcela_atual","$_POST[ids_agrupados],$_POST[parcela_atual]");
	
	rodape();
}





function layout_pagamento() {

	
	
	cabecalho("Pagamento/Recebimento",2);
	// print_r($_POST);
	
	// ------------------------------------------------------
	// EXIBE TODOS OS PAGAMENTOS SELECIONADOS
	// ------------------------------------------------------

	$IDS_MOV = ids_agrupados($_POST[ids_agrupados]);
	$t_ids_mov = count($IDS_MOV);

	$sql_pago = selecionar("fobo,boleto,forma","fobo_tx_status,bole_nb_id","!inativo,$_POST[parcela_atual]");	
	$a_atual = carregar('boleto,movimento',$_POST[parcela_atual]);
	

	cactux::abre_form();
	


	cactux::abre_fieldset('INFORMAÇÕES DO PAGAMENTO/RECEBIMENTO');

	for($i=0; $i!=$t_ids_mov; $i++) {
		
		$a_mov = carregar("boleto,movimento",$IDS_MOV[$i]);
		
		$t1 = cactux::texto('Código:',$a_mov[bole_nb_id],1);
		$t2 = cactux::texto('Nome:',nome_movimento($a_mov),3);
		$t3 = cactux::texto('Vencimento:',data($a_mov[bole_tx_vencimento],1),1);
		$t4 = cactux::texto('Valor:','R$ '.mostra_valor($a_mov[bole_tx_valordoc]),1);
		$t41 = cactux::texto('Valor&nbsp;Pg.:','R$ <span id=valorPago>0,00</span>',1);
		$t42 = cactux::texto('Valor&nbsp;Restante:','R$ <span id=valorRestante>0,00</span>',1);

		if ( $a_mov[bole_tx_acrescimo]>0 )
			$t5 = cactux::texto('Acrescimo:','R$ '.mostra_valor($a_mov[bole_tx_acrescimo]),1);
		elseif ( $a_mov[bole_tx_desconto]>0 )
			$t5 = cactux::texto('Desconto:','R$ '.mostra_valor($a_mov[bole_tx_desconto]),1);
		
		cactux::linha_fieldset($t1,$t2,$t3,$t5,$t4,$t41,$t42);
		// cactux::linha_fieldset();
		unset($t5);
		
		$total_mov += $a_mov[bole_tx_valordoc];
	}

	// SE TIVER MAIS DE UM BOLETO, EXIBE UMA LINHA COM O SOMATORIO TOTAL
	if( $t_ids_mov > 1 ) {
		
		$t1 = cactux::texto('','',1);
		$t2 = cactux::texto('','',4);
		$t3 = cactux::texto('','',2);
		$t4 = cactux::texto('','',2);
		$t5 = cactux::texto('Valor Total:','R$ '.mostra_valor($total_mov,1),1);
		
		cactux::linha_fieldset($t1,$t2,$t3,$t4,$t5);		
	} 

	cactux::fecha_fieldset();
	


	$extra_forma = " (form_tx_tipo='Ambos' OR form_tx_tipo='Despesas') ORDER BY form_tx_nome ASC";

	//CAMPOS
	$c4 = cactux::combo_bd('Forma:','forma',$array2[form_nb_id],$array2[form_tx_nome],2,"forma",' onchange=verifica_forma(this.value) ',$extra_forma);
	$c5 = cactux::campo('* Valor:','valor','',2,MASCARA_VALOR);
	$c6 = cactux::campo('* Data:','data',date("d/m/Y"),2, MASCARA_DATA);
	$conta = cactux::combo_bd('!<span id=label_conta style="line-height: 0;">Conta Bancária:</span>','contabancaria','','',3,'configuraboleto','id=combo_conta',".nome");
	
	//BOTOES
	if( $a_atual[bole_tx_status] == 'ativo' || $a_atual[bole_tx_status] == 'agrupando' ) {
		
		// EVITA QUE SE ENCERRE UM PAGAMENTO SEM TER EFETUADO NENHUM CADASTRO
		$c7 = cactux::botao_submit("Gravar",2,'testa_forma',"ids_agrupados,parcela_atual,id,volta_pagina,ordem,volta_arquivo","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[id],$_POST[volta_pagina],$_POST[ordem],$_POST[volta_arquivo]");


		if( num_linhas($sql_pago) > 0 ) {
			$c9 = cactux::botao("Voltar",2,'voltar'," onclick=alerta_fechamento()");
		} else {
			$c9 = cactux::botao("Voltar",2,'voltar');
		}
		//DA UM ALERTA PARA LEMBRAR DE FINALIZAR




		if( num_linhas($sql_pago) != 0 )
			$c8 = cactux::botao("Finalizar",2,''," onclick=confirma_encerramento(); ");
		
		
	} else {// NAO PERMITE MODIFICAR CASO JAH TENHA SIDO PAGO
		
		$c9 = cactux::botao("Voltar",2,'voltar');
		// if ($a_atual[movi_tx_tipo]=='Saída'){// SÓ PARA AS DESPESAS
		// 	$c10 = cactux::botao("Reabrir",2,'reabrir');
		// }
		// 2019-08-30 AGORA PODE TUDO
		$c10 = cactux::botao("Reabrir",2,'reabrir');
	}

	if($_POST[volta_arquivo]!='')
		$_POST[volta_pagina]=$_POST[volta_arquivo]; 

	cactux::abre_fieldset('FORMAS DE PAGAMENTO');
	cactux::linha_fieldset($c4,$c5,$c6,'<div id=div_combo>'.$conta.'</div>');
	cactux::fecha_fieldset();
	if ( $a_atual[bole_tx_status]=='encerrado' )
		cactux::linha_fieldset($c9,$c10);
	else
		cactux::linha_fieldset($c9,$c7,$c8);
	
	cactux::fecha_form();
	
	cactux::acao_botao("encerrar",'testa_encerramento',"ids_agrupados,parcela_atual,volta_pagina,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina],$_POST[ordem]");
	cactux::acao_botao("reabrir",'layout_reabertura',"ids_agrupados,parcela_atual,volta_pagina,ordem","$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina],$_POST[ordem]");
	cactux::acao_botao("voltar",'volta_pagamento','volta_pagina,botao_voltar,ordem',"$_POST[volta_pagina],botao_voltar,$_POST[ordem]");
	
	if( num_linhas($sql_pago) != 0 ) { 
		
		$cabeca[] = array('DATA','FORMA','VALOR','SITUAÇÃO','','','');
		$cabeca[] = '';
		$cabeca[] = ',,,15%,3%,3%,3%';
		$cabeca[] = '60%';
		
		while( $array = carrega_array($sql_pago) ) {    
			
			if( $array[form_tx_nome] == 'Cheque' ) {
				
				$array[form_tx_nome] = "<a href=# onclick=ver_cheque('$array[0]')>$array[form_tx_nome]</a>";				
			}
			
			// NAO DEIXA EXCLUIR SE JAH TIVER SIDO PAGO
			if( $a_atual[bole_tx_status] == 'ativo' || $a_atual[bole_tx_status] == 'agrupando' ) 
				$exclui = ".icone_excluir($array[0],'exclui_pagamento','ids_agrupados,parcela_atual,volta_pagina,ordem','$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina],$_POST[ordem]')";
			else
				$exclui = "";
			
			
			if( (strtoupper(substr($array[form_tx_nome],0,6)) == 'CHEQUE') || (strtoupper(substr($array[form_tx_nome],0,6)) == 'TRANSF')){
			
				//BOTAO PARA VIZUALIZAR INFORMAÇÕES DO CHEQUE 
				if( strtoupper(substr($array[form_tx_nome],0,6)) == 'CHEQUE')
					$modificar = ".icone_modificar($array[fobo_nb_id],'informacao_cheque','id2,ids_agrupados,parcela_atual,volta_pagina','$_POST[id],$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina]')";
				
				//BOTAO PARA VIZUALIZAR INFORMAÇÕES DA TRANFERENCIA
				if( strtoupper(substr($array[form_tx_nome],0,6)) == 'TRANSF')
					$modificar = ".icone_modificar($array[fobo_nb_id],'informacao_transferencia','id2,ids_agrupados,parcela_atual,volta_pagina','$_POST[id],$_POST[ids_agrupados],$_POST[parcela_atual],$_POST[volta_pagina]')";
			
			}else
				$modificar = '';
			
			if ( substr($array[form_tx_sefaz],0,2)=='01' || substr($array[form_tx_sefaz],0,2)=='90' || substr($array[form_tx_sefaz],0,2)=='99' || strtolower($array[form_tx_nome])=='carteira' )
				$situacao = 'Ativo';
			elseif ( substr($array[form_tx_sefaz],0,2)=='02' ) {// SE FOR CHEQUE, EXIBE A SITUAÇÃO DO CHEQUE
				$sql_cheque = selecionar('chfo,cheque','chfo_tx_status,chfo_nb_fobo',"!inativo,$array[fobo_nb_id]"," LIMIT 1 ");
				$a_cheque   = carrega_array($sql_cheque);
				if ($a_cheque[cheq_tx_status]=='ativo')
					$a_cheque[cheq_tx_status]='Pendente';
				$situacao = ucfirst($a_cheque[cheq_tx_status]);
			}
			elseif ( $array[fobo_tx_dataBaixa]=='' )
				$situacao = 'Pendente';
			else
				$situacao = 'Compensado';

			// VERIFICA SE O FOBO FOI CANCELADO
			if ( $array[fobo_tx_status] == 'cancelado' )
				$situacao = 'Cancelado';


			if( $a_atual[movi_tx_tipo] == 'Saída' )
				//$recibo = ".icone_modificar($array[fobo_nb_id],'informacao_cheque','id2,ids_agrupados,parcela_atual','$_POST[id],$_POST[ids_agrupados],$_POST[parcela_atual]','','','','../cactus/imagens/imprimir.png')";
				$recibo="<a class='btn btn-default btn-xs grid-icon' href=contas_pagar.php?acao=imprime_recibo_saida_individual&f=".$array[fobo_nb_id]."&i=$a_atual[bole_nb_id]&h=".md5($a_atual[bole_nb_id])."&".cactux_cookie::url_sistema()." target=_blank><i class=\"fa fa-file-text-o\"></i></a>"; // IMPRIMIR
			else
				$recibo="<a class='btn btn-default btn-xs grid-icon' href=contas_pagar.php?acao=imprime_recibo_entrada_individual&f=".$array[fobo_nb_id]."&i=$a_atual[bole_nb_id]&h=".md5($a_atual[bole_nb_id])."&".cactux_cookie::url_sistema()." target=_blank><i class=\"fa fa-file-text-o\"></i></a>"; // IMPRIMIR

			


			$valores[]=array(data($array[fobo_tx_data],1),$array[form_tx_nome],"R$ ".mostra_valor($array[fobo_tx_valor]),$situacao,$recibo,$exclui,$modificar);
			
			$total += $array[fobo_tx_valor];
		} 
		
		$valores[] = array('&nbsp;',"VALOR TOTAL:"," R$ ".mostra_valor($total,1),'&nbsp;','&nbsp;','&nbsp;','&nbsp;');
		
		grid::gerar($cabeca,$valores);
	}

	campo_hidden('valorTotal',$total);
	
	
	rodape();


	if ( $total>$total_mov ) {// SE PAGAR A MAIS
		javascript("
			function confirma_encerramento(){
				if ( confirm('Confirma o encerramento com acréscimo?') ){
					window.document.encerrar.submit();
				}
			}
		");

	} elseif ( $total<$total_mov ) {// SE PAGAR A MENOS
		javascript("
			function confirma_encerramento(){
				if ( confirm('Confirma o encerramento com desconto?') ){
					window.document.encerrar.submit();
				}
			}
		");

	} else {		
		javascript("
			function confirma_encerramento(){
				if ( confirm('Confirma o encerramento?') ){
					window.document.encerrar.submit();
				}
			}
		");
	}


	$valorRestante = mostra_valor($total_mov - $total);
	$valorTotal = mostra_valor($total);
	
	javascript("

		document.getElementById('valorPago').innerHTML='$valorTotal';
		document.getElementById('valorRestante').innerHTML='$valorRestante';


		function ocultar_conta() {
			// document.getElementById('label_conta').style.display = 'none';
			// document.getElementById('combo_conta').style.display = 'none';
			document.getElementById('div_combo').style.display = 'none';
		}

		function exibir_conta() {
			// document.getElementById('label_conta').style.display = 'inline';
			// document.getElementById('combo_conta').style.display = 'inline';
			document.getElementById('div_combo').style.display = 'inline';
		}

		function verifica_forma(forma) {
			if (forma==2)
				exibir_conta();
			else
				ocultar_conta();
		}

		// VERIFICA A FORMA QUE ESTA SELECIONADA AO ABRIR A TABELA
		verifica_forma(document.cadastro.forma.value);



		
		function ver_cheque(id) {
			   url = 'cheque_ver.php?id='+id;
		       var wnd = window.open(url,'','toolbar=no,width=600,height=280,scrollbars=yes,top=1,left=1');
		}	
		
		function alerta_fechamento() {
		
			alert('Por Favor, finaliza a operação!');
			document.voltar.submit();
		}
		
	");	
}




function informacao_transferencia(){

	cabecalho("Pagamento/Recebimento",2);
	
	cactux::abre_form();
	
	//print_r($_POST);
	
	$a_fobo=carregar('fobo',$_POST[id]);
	$a_tran=carregar('transferencia','','tran_nb_fobo',"$a_fobo[fobo_nb_id]");
	$a_banco=carregar('banco',$a_tran[tran_nb_banco]);
	
	
	$agencia = cactux::texto('Agência:',$a_tran[tran_tx_agencia],2);
	$conta = cactux::texto('Conta:',$a_tran[tran_tx_conta],2);
	$banco = cactux::texto('Banco:',$a_banco[banc_tx_nome],2);
	
	$data = cactux::texto('Data:',data($a_fobo[fobo_tx_data],1),2);
	
	$voltar= cactux::botao('Voltar',2,'volta');
	
	cactux::abre_fieldset('Informações da Transferência');
	cactux::linha_fieldset($agencia,$conta,$banco,$data);
	cactux::linha_fieldset($voltar);
	cactux::fecha_fieldset();
	
	
	cactux::fecha_form();

	cactux::acao_botao('volta','layout_pagamento','ids_agrupados,parcela_atual',"$_POST[ids_agrupados],$_POST[parcela_atual]");

}




function informacao_cheque(){

	cabecalho("Pagamento/Recebimento",2);
	
	cactux::abre_form();
	
	//print_r($_POST);
	
	$a_fobo=carregar('fobo',$_POST[id]);
	$a_chfo=carregar('chfo','','chfo_nb_fobo',"$_POST[id]");
	$a_cheque=carregar('cheque',$a_chfo[chfo_nb_cheque]);
	$a_banco=carregar('banco',$a_cheque[cheq_nb_banco]);
	
	$numero = cactux::texto('Número:',$a_cheque[cheq_tx_numero],2);
	$agencia = cactux::texto('Agência:',$a_cheque[cheq_tx_agencia],2);
	$conta = cactux::texto('Conta:',$a_cheque[cheq_tx_conta],2);
	$banco = cactux::texto('Banco:',$a_banco[banc_tx_nome],2);
	$valor = cactux::texto('Valor:',mostra_valor($a_cheque[cheq_tx_valor]),2);
	
	$data = cactux::texto('Data:',data($a_cheque[cheq_tx_data],1),2);
	$titular = cactux::texto('Titular:',$a_cheque[cheq_tx_titular],2);
	$cpf = cactux::texto('CPF/CNPJ:',$a_cheque[cheq_tx_cpf],2);
	$situacao = cactux::texto('Situação:',ucfirst($a_cheque[cheq_tx_status]),2);
	
	$voltar= cactux::botao('Voltar',2,'volta');
	
	cactux::abre_fieldset('Informações de Cheque');
	cactux::linha_fieldset($numero,$agencia,$conta,$banco,$valor);
	cactux::linha_fieldset($data,$titular,$cpf,$situacao);
	cactux::linha_fieldset($voltar);
	cactux::fecha_fieldset();


	if ( $a_cheque[cheq_tx_data]!='' && $a_cheque[cheq_tx_data]!='0000-00-00' ) {
		$h[]  = cactux::texto('Data Emissão:',data($a_cheque[cheq_tx_data],1),5);
	}	
	if ( $a_cheque[cheq_tx_dataCompensa]!='' && $a_cheque[cheq_tx_dataCompensa]!='0000-00-00' ) {
		if ($a_cheque[cheq_tx_status]=='Resgatado')
			$h[]  = cactux::texto('Data Resgate:',data($a_cheque[cheq_tx_dataCompensa],1),5);
		else
			$h[]  = cactux::texto('Data Compensação:',data($a_cheque[cheq_tx_dataCompensa],1),5);
	}
	if ( $a_cheque[cheq_tx_dataDevilvido1]!='' && $a_cheque[cheq_tx_dataDevilvido1]!='0000-00-00' ) {
		$h[]  = cactux::texto('Data Devolvido 1:',data($a_cheque[cheq_tx_dataDevilvido1],1),5);
	}
	if ( $a_cheque[cheq_tx_dataDevilvido2]!='' && $a_cheque[cheq_tx_dataDevilvido2]!='0000-00-00' ) {
		$h[]  = cactux::texto('Data Devolvido 2:',data($a_cheque[cheq_tx_dataDevilvido2],1),5);
	}

	if ( count($h)>0 ) {
		echo "<br>";
		cactux::abre_fieldset('Histórico do Cheque');
		foreach ($h as $campo) {
			cactux::linha_fieldset($campo);
		}
		cactux::fecha_fieldset();
	}
	
	
	cactux::fecha_form();

	cactux::acao_botao('volta','layout_pagamento','ids_agrupados,parcela_atual',"$_POST[ids_agrupados],$_POST[parcela_atual]");

}


CONTROLE();
 ?>